
Redmine - Patch #38228

Remove X-UA-Compatible meta tag for Internet Explorer

2023-01-31 01:27 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

HTML pages of Redmine contain X-UA-Compatibility meta tag for Internet Explorer. Since we dropped support for Internet Explorer

in Redmine 5.0 (#34978), the meta tag is no longer necessary.

cf. [MS-IEDOCO]: X-UA-Compatibility Meta Tag and HTTP Response Header | Microsoft Learn

diff --git a/app/views/layouts/base.html.erb b/app/views/layouts/base.html.erb

index 40d83f026..bcd6622a7 100644

--- a/app/views/layouts/base.html.erb

+++ b/app/views/layouts/base.html.erb

@@ -2,7 +2,6 @@

 <html lang="<%= current_language %>">

 <head>

 <meta charset="utf-8" />

-<meta http-equiv="X-UA-Compatible" content="IE=edge"/>

 <title><%= html_title %></title>

 <meta name="viewport" content="width=device-width, initial-scale=1">

 <meta name="description" content="<%= Redmine::Info.app_name %>" />

Related issues:

Related to Redmine - Defect #20380: Cannot assign users to projects with IE s... Closed

Related to Redmine - Feature #34978: Add the list of supported browsers to do... Closed

Associated revisions

Revision 22095 - 2023-02-05 06:54 - Go MAEDA

Remove X-UA-Compatible meta tag for Internet Explorer (#38228).

Patch by Go MAEDA.

History

#1 - 2023-01-31 01:28 - Go MAEDA

- Related to Defect #20380: Cannot assign users to projects with IE set to compatibility mode added

#2 - 2023-01-31 01:28 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2023-01-31 01:30 - Go MAEDA

- Related to Feature #34978: Add the list of supported browsers to docs and drop support for IE 11 added

#4 - 2023-02-02 12:46 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#5 - 2023-02-05 06:55 - Go MAEDA

- Subject changed from Remove X-UA-Compatibility meta tag for Internet Explorer to Remove X-UA-Compatible meta tag for Internet Explorer

- Status changed from New to Closed

- Assignee set to Go MAEDA
https://www.redmine.org/issues/34978
https://learn.microsoft.com/en-us/openspecs/ie_standards/ms-iedoco/380e2488-f5eb-4457-a07a-0cb1b6e4b4b5


Committed the path.
